---
title: "Download document attachment"
url: "https://docs.signnow.com/docs/document/operations/download-document-attachment"
type: "endpoint"
section: "document"
slug: "document/operations/download-document-attachment"
method: "GET"
path: "/document/{document_id}/attachment/{attachment_id}/download"
operation_id: "download-document-attachment"
authorization: "bearer"
---

# Download document attachment

`GET /document/{document_id}/attachment/{attachment_id}/download`

Downloads a file attached to the document by signer

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | Unique document id  |
| `attachment_id` | string | Yes | unique id of the attachment.  can be found in the response to `GET /document/{docuument_id}` request |

## Responses

### 200

Attachment file is returned in the response.

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/document/{document_id}/attachment/{attachment_id}/download" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/download-document-attachment*
